#pragma once

#include "CoreMinimal.h"
#include "EGameplayElementType.h"
#include "UObject/SoftObjectPtr.h"
#include "MapSpecificSpawnActorData.generated.h"

class AActor;

USTRUCT(BlueprintType)
struct FMapSpecificSpawnActorData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EGameplayElementType SpawnerType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftClassPtr<AActor> ActorClass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 NumberToSpawn;

public:
	DEADBYDAYLIGHT_API FMapSpecificSpawnActorData();
};

FORCEINLINE uint32 GetTypeHash(const FMapSpecificSpawnActorData) { return 0; }
